/* Style the video: 100% width and height to cover the entire window */
body * {
  padding: 0;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  overflow-x: hidden;
  box-sizing: border-box;
}
body {
  font-size: 1vw;
  background-color: #f9f9f9;
}

.logo {
 width: 20vw;
 max-width: 432px;
 max-height: 79px;
}  

li {
  margin-left: 25px;
  overflow-x: visible !important;
}

a {
  text-decoration: none;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  color: #f1f1f1;
  margin: 0;
}
h1 {
  font-size: 1.6vw;
  color: #f1f1f1;
}
header, footer {
  /* line-height: 50px; */
  background-color: rgba(240, 240, 240, 0.7);
  
  color: #222;
  /* text-align: center; */
  font-size: 20px;
  text-align: left;
  padding: 10px 20px 10px 20px;
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: space-between;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
}

header div {
  width: auto;
  overflow: hidden;
}
header div span a, footer div span a {
  margin-top: 10px;
  color: #000099;
  display: inline-block;
  font-size: 12pt;
  margin: 0;
  padding: 4px 10px 4px 10px;
  border-radius: 8px;
}

header div span a:hover, footer div span a:hover {
  background-color: rgba(255, 255, 220, 0.5);
}

/* header div:nth-child(1) img {
} */


header div:nth-child(2) {
  /* position: fixed;
  top: 0;
  right: 0; */
  font-weight: 700;
  font-style: normal;
  font-size: 32px;
}
main {
  background-color: #f9f9f9;
}

footer {
  /* background-color: #333;
  color: #FFFFD1; */
  background: linear-gradient(180deg, #ccc 0%, #ffffff 50%, #bbb 100%);
  font-size: 20px;
  text-align: left;
  padding: 10px 20px 10px 20px;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: space-between;
  top: 0;
  left: 0;
  width: 100%;
  top: calc(100vw * (910 / 1920) - 7px);
  /* top: 100vh; */
  font-size: 12pt !important;
}

footer div {
  width: auto;
  height: auto
}


input, select, textarea {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  box-sizing: border-box;
  padding: 6px;
  left: 0;
  outline: none;
  border: 1px solid #DDDDDD;
  background-color: #F9F9F9;
  font-size: 13pt;
  width: 100%;
  border-radius: 8px;
  margin-bottom: 8px;
}
/* input:valid {
  border-color: #DDDDDD;
}

input:invalid {
  border-color: red;
} */

textarea {
  height: 120px;
}

input::placeholder, select::placeholder, textarea::placeholder {
  color: #BBB;
}

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px #F9F9F9 inset;
}
input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 1000px #F9F9F9 inset;
}

button {
  box-sizing: border-box;
  padding: 8px;
  border: 1px solid #66CC00;
  background-color: #66CC00;
  color: white;
  font-size: 13pt;
  width: 100%;
  border-radius: 6px;
}

.project-modal {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  overflow: auto;
}

.project-modal-content {
  color: #f9f9f9;
  background-color: rgba(77, 35, 99, 0.75) !important;
  border-radius: 10px;

  /* margin: auto; */
  padding: 50px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,  -50%);
  width: 45%;
  overflow: auto;
  max-height: 100%;
  font-size: 22px !important;
}

.project-modal-content h2 {
  position: absolute;
  z-index: 999;
  top: 20px;
  /* left: 30px; */
  text-align: center;
  font-size: 13pt;
  display: block;
  color: #CCCCCC;
}

.close-button {
  font-weight: bold;
  top: -50px;
  right: 0px;
  color: #CCC;
  font-size: 60px;
  position: absolute;
  padding: 20px;
  z-index: 999;
}

.close-button:hover, .close-button:focus {
  text-decoration: none;
  cursor: pointer;
}
.bkg img {
  position: absolute;
  top: 0;
  left: 0;
  height: auto;
  width: 100%;
  z-index: -1;
  max-width: 100%;
}

.bkg p img {
  all: unset;
  max-width: 100%;
  padding: 10px;
  vertical-align: middle;
}
.portfolio h1 {
  padding: 0px !important;
  margin: 0px !important;
}

/* .portfolio a {
  display: block !important;
  margin: 10px;
} */

.portfolio .grid {
  margin-top: 5%;
  display: flex;
  flex-direction: row;
  position: relative;
  flex-wrap: wrap;;
}
/* .portfolio .grid > p {

} */

.portfolio p img {
  height: 10vw;
  width: auto;
}

.bkg .slide h1 {
  color: #f9f9f9;
  /* word-break: break-word; */
}
.bkg .slide span {
  z-index: 999;
  position: fixed;
  top: 130px;
  /* bottom: calc(100vh - (100vw * (910 / 1920))); */
  left: 20px;
  border-radius: 8px;
  background: rgba(66, 66, 66, 0.7);
  color: #f9f9f9;
  text-shadow: 2px 0 #333, -2px 0 #333, 0 2px #333, 0 -2px #333,
        1px 1px #333, -1px -1px #333, 1px -1px #333, -1px 1px #333;        
  padding: 15px;
  width: calc(100vw - 420px);
  /* max-width: calc(100vw - 450px); */
}
.bkg div:not(:nth-child(1)) {
  display: none;
}
.enquire {
  position: fixed;
  top: 130px;
  right: 20px;
  width: 320px;
  height: auto;
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 8px;
  padding: 10px;
  color: #f9f9f9;
  text-shadow: 2px 0 #333, -2px 0 #333, 0 2px #333, 0 -2px #333,
        1px 1px #333, -1px -1px #333, 1px -1px #333, -1px 1px #333;        
}

@media only screen and (max-width: 1440px) {
  body {
    font-size: 1.3vw;
  }
  h1 {
    font-size: 2vw;
  }
}

@media only screen and (max-width: 1024px) {
  body {
      margin: 0 !important;
      padding: 0 !important;
  }
  li {
    margin-left: 0px;
    overflow-x: hidden !important;
    margin-bottom: 1em;
  }

  h1 {
    font-size: 14pt;
  }
  h2 {
    font-size: 14pt;
  }
  header, .bkg, footer, .enquire, .content, .enquire, .bkg .slide span, h1, h2, .bkg .slide img {
    /* padding: 0; */
    position: static;
    display: block;
    text-shadow: none;
    color: #222 !important;
    text-align: center;
  }
  .logo {
    width: 80vw;
    margin-bottom: 20px;
  }  

  .bkg img {
    margin-bottom: 20px;
  }
  img {
    max-width: 100%;
    height: auto;
  }
  .bkg .slide span {
    width: calc(100% - 10px);
    margin-left: 5px;
    margin-right: 5px;
    background-color: rgba(0, 0, 0, 0.1);
  }
  
  .bkg .slide h2, .bkg .slide span {
    max-width: 100%;
    height: auto;
  }
  /* .slide span {
    width: 100%;
  } */
  
  .enquire {
    display: block;
    width: calc(100% - 10px);
    margin: 20px 5px;
    background-color: rgba(0, 0, 0, 0.1);
  }


  .slide h2 {
    color: #222 !important;
    text-shadow: none;
    font-size: 15pt;
  }  
  .slide p, .slide li {
    font-size: 13pt;
  }  

}